FileScanner (Groovy 2.4.15)
Date: 2018-03-23

org.codehaus.groovy.ant

## Class FileScanner

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.codehaus.groovy.ant.FileScanner

- All Implemented Interfaces:
    java.lang.Cloneable

      public class FileScanner
      extends org.apache.tools.ant.Task

  `FileScanner` is a bean which allows the iteration over a number of files from a collection of FileSet instances.

  Author:
    James Strachan, Marc Guillemot

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileScanner()`
    `FileScanner(org.apache.tools.ant.Project project)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFileset(org.apache.tools.ant.types.FileSet set)` Adds a set of files (nested fileset attribute).
    `void` | `clear()` Clears any file sets that have been added to this scanner
    `java.util.Iterator` | `directories()`
    `boolean` | `hasFiles()`
    `java.util.Iterator` | `iterator()`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, execute, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileScanner

          public FileScanner()

    - #### FileScanner

          public FileScanner(org.apache.tools.ant.Project project)

  - ### Method Detail

    - #### iterator

          public java.util.Iterator iterator()

    - #### directories

          public java.util.Iterator directories()

    - #### hasFiles

          public boolean hasFiles()

    - #### clear

          public void clear()

      Clears any file sets that have been added to this scanner

    - #### addFileset

          public void addFileset(org.apache.tools.ant.types.FileSet set)

      Adds a set of files (nested fileset attribute).